from mpi_exec import run_mpi
from seq_exec import run_sequential
from multi_exec import run_multiprocessor
from concurrency_exec import run_concurrent

def main():

    # PARSE ARGS:
    mode = "seq"
    num_files = 5
    numbers_per_file = 1000
    problem_size = num_files * numbers_per_file

    # GENERATE INPUTS (if not created already)

    print("STARTING PYTHON DUMMY BENCHMARK")

    if mode == "seq":
        run_sequential()
    elif mode == "mp":
        run_multiprocessor()
    elif mode == "concurrent":
        run_concurrent()
    elif mpi == "mpi":
        run_mpi()
    else:
        print(f"MODE {mode} NOT RECOGNIZED")


    print("ENDING")


if __name__ == "__main__":
    main()